import { ToggleButton, ToggleButtonConfig } from './togglebutton';
import { UIInstanceManager } from '../uimanager';
import { PlayerAPI } from 'bitmovin-player';
/**
 * @category Buttons
 */
export declare class EcoModeToggleButton extends ToggleButton<ToggleButtonConfig> {
    private adaptationConfig;
    constructor(config?: ToggleButtonConfig);
    configure(player: PlayerAPI, uimanager: UIInstanceManager): void;
    private areAdaptationApisAvailable;
    enableEcoMode(player: PlayerAPI): void;
    disableEcoMode(player: PlayerAPI): void;
}
